From c6cb6a73fc5b0c6809f741b2bef7dabb0a854d9c Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 2 Apr 2021 09:23:42 -0500
Subject: [PATCH 7/7] WIP: doc review: Add DECLARE STATEMENT command to ECPG

ad8305a43d1890768a613d3fb586b44f17360f29
---
 doc/src/sgml/ecpg.sgml | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/doc/src/sgml/ecpg.sgml b/doc/src/sgml/ecpg.sgml
index 56f5d9b5db..8f2908823a 100644
--- a/doc/src/sgml/ecpg.sgml
+++ b/doc/src/sgml/ecpg.sgml
@@ -354,14 +354,14 @@ current=testdb1 (should be testdb1)
   </para>
 
   <para>
-  The third option is to declare sql identifier linked to
+  The third option is to declare a SQL identifier linked to
   the connection, for example:
 <programlisting>
 EXEC SQL AT <replaceable>connection-name</replaceable> DECLARE <replaceable>statement-name</replaceable> STATEMENT;
 EXEC SQL PREPARE <replaceable>statement-name</replaceable> FROM :<replaceable>dyn-string</replaceable>;
 </programlisting>
-   Once you link a sql identifier to a connection, you execute a dynamic SQL
-   without AT clause. Note that this option behaves like preprocessor directives,
+   Once you link a SQL identifier to a connection, you execute dynamic SQL
+   without an AT clause. Note that this option behaves like preprocessor directives,
    therefore the link is enabled only in the file.
   </para>
   <para>
@@ -6911,14 +6911,14 @@ EXEC SQL [ AT <replaceable class="parameter">connection_name</replaceable> ] DEC
     <title>Description</title>
 
     <para>
-     <command>DECLARE STATEMENT</command> declares SQL statement identifier.
+     <command>DECLARE STATEMENT</command> declares a SQL statement identifier.
      SQL statement identifier can be associated with the connection.
-     When the identifier is used by dynamic SQL statements, these SQLs are executed
-     by using the associated connection.
+     When the identifier is used by dynamic SQL statements, the statements are executed
+     using the associated connection.
      The namespace of the declaration is the precompile unit, and multiple declarations to
-     the same SQL statement identifier is not allowed.
+     the same SQL statement identifier are not allowed.
 
-     Note that if the precompiler run in the Informix compatibility mode and some SQL statement
+     Note that if the precompiler runs in Informix compatibility mode and some SQL statement
      is declared, "database" can not be used as a cursor name.
     </para>
    </refsect1>
-- 
2.17.0

